<div class="card">
    <div class="card-header">
      <span class="fs-4">{{'employee.attachConclusion' | translate}}</span>
      <button class="btn-close float-end my-auto" (click)="activeModal.close()"></button>
    </div>
    <div class="card-body">
        <form [formGroup]="form" (ngSubmit)="submit()">
            <div class="d-flex justify-content-between">
                <div class="form-check me-3">
                    <input type="radio" class="form-check-input" value="1" name="status" formControlName="status">
                    <label class="form-check-label">{{'employee.assign' | translate}}</label>
                </div>
                <!-- <div class="form-check me-3">
                    <input type="radio" class="form-check-input" value="2" name="status" formControlName="status">
                    <label class="form-check-label">{{'employee.repair' | translate}}</label>
                </div> -->
                <div class="form-check me-3">
                    <input type="radio" class="form-check-input" value="3" name="status" formControlName="status">
                    <label class="form-check-label">{{'employee.cancel' | translate}}</label>
                </div>
            </div>
            <div class="form-floating mt-3">
                <textarea class="form-control" id="floatingTextarea" style="height: 100px" formControlName="comment"></textarea>
                <label for="floatingTextarea">{{'employee.yourComment' | translate}}</label>
              </div>
              <div class="d-flex justify-content-between mt-2">
                <div>
                <label class="attachFile"><input type="file" id="attachFile" name="attachFile" (change)="fileOnChange($event)" multiple>
                    <i class="bi bi-paperclip"></i>
                    {{this.files.length !== 0 ? 'Прикрепить другой файл' : 'Прикрепить файл'}}
                </label>
                <ul class="p-0 m-0" *ngIf="files.length !== 0">
                    <li *ngFor="let file of files">
                        <div>
                            {{file}}
                        </div>
                    </li>
                </ul>
                </div>
                <button class="btn btn-outline-success" (click)="onFormConclusion()">{{'employee.generateConclusions' | translate}}</button>
              </div>
            <div class="mt-5">
                <button class="btn btn-dark" type="submit" [disabled]="!form.valid">{{'employee.attachNassaign' | translate}}</button>
                <!-- <button class="btn btn-secondary ms-2" type="button">Подписать</button> -->
            </div>
        </form>
    </div>
</div>